Bug 1335463 - system upgrade was triggered even though I canceled it
Summary: system upgrade was triggered even though I canceled it
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software   
(Show other bugs)
Version: 23
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1308538
TreeView+ depends on / blocked
 
Reported: 2016-05-12 09:26 UTC by Kamil Páral
Modified: 2016-07-20 23:50 UTC (History)
4 users (show)

Fixed In Version: gnome-software-3.20.4-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-20 23:50:17 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kamil Páral 2016-05-12 09:26:33 UTC
Description of problem:
I followed https://fedoraproject.org/wiki/Test_Day:2016-05-16_Workstation_Graphical_Upgrade . When I downloaded packages, I clicked on Install button. There was some popup with Cancel/Reboot buttons (I don't remember the text). I decided I want to do something else before running the upgrade. I hit Cancel, did the changes, and I needed to reboot for a reason. I rebooted, and to my surprise, the system did not boot, but instead the upgrade started! The upgrade that I did *not* confirm.

This is a serious issue. There is a warning message that you should back up your important files before running the upgrade in gnome-software. If the user cancels the upgrade and decides to not perform the upgrade immediately, and later on she reboots the computer, she will end up with running the upgrade possibly before she even had any chance to backup her data.

Version-Release number of selected component (if applicable):
gnome-software-3.20.3-0.191.20160425git.fc23.x86_64
libhif-0.2.3-0.145.20160427git.fc23.x86_64
libappstream-glib-0.5.14-1.fc23.x86_64
json-glib-1.2.0-1.fc23.x86_64
PackageKit-1.1.1-1.fc23.x86_64

How reproducible:
probably always, will need to test

Steps to Reproduce:
1. download the packages
2. click on Install
3. click on Cancel
4. reboot

Actual results:
system is upgraded without confirmation

Expected results:
system should be upgraded only after confirmation

Comment 1 Kalev Lember 2016-05-12 09:29:29 UTC
Yes, this definitely needs fixing. https://bugzilla.gnome.org/show_bug.cgi?id=763611 has some initial patches for that.

Comment 2 Kalev Lember 2016-06-21 09:18:05 UTC
https://git.gnome.org/browse/gnome-software/commit/?h=gnome-3-20&id=673ee45daffb5d6661aa660016556b2f102725b0 should fix this.  https://bugzilla.gnome.org/show_bug.cgi?id=763611 is somewhat related, but I misread the bug earlier and it's not exactly that.

Comment 3 Fedora Update System 2016-07-12 19:14:30 UTC
PackageKit-1.1.2-1.fc23 appstream-data-23-11.fc23 fwupd-0.7.2-1.fc23 gnome-shell-3.18.5-2.fc23 gnome-software-3.20.4-1.fc23 json-glib-1.2.0-1.fc23 libappstream-glib-0.5.16-2.fc23 libgusb-0.2.9-1.fc23 libhif-0.2.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 4 Fedora Update System 2016-07-12 19:14:48 UTC
PackageKit-1.1.2-1.fc23 appstream-data-23-11.fc23 fwupd-0.7.2-1.fc23 gnome-shell-3.18.5-2.fc23 gnome-software-3.20.4-1.fc23 json-glib-1.2.0-1.fc23 libappstream-glib-0.5.16-2.fc23 libgusb-0.2.9-1.fc23 libhif-0.2.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 5 Kamil Páral 2016-07-13 12:26:38 UTC
This seems fixed with updates from comment 4.

Comment 6 Fedora Update System 2016-07-14 01:25:13 UTC
PackageKit-1.1.2-1.fc23, appstream-data-23-11.fc23, fwupd-0.7.2-1.fc23, gnome-shell-3.18.5-2.fc23, gnome-software-3.20.4-1.fc23, json-glib-1.2.0-1.fc23, libappstream-glib-0.5.16-2.fc23, libgusb-0.2.9-1.fc23, libhif-0.2.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 7 Fedora Update System 2016-07-14 13:28:05 UTC
PackageKit-1.1.3-1.fc23 appstream-data-23-11.fc23 fwupd-0.7.2-2.fc23 gnome-shell-3.18.5-2.fc23 gnome-software-3.20.4-1.fc23 json-glib-1.2.0-1.fc23 libappstream-glib-0.5.16-2.fc23 libgusb-0.2.9-1.fc23 libhif-0.2.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 8 Fedora Update System 2016-07-15 17:52:42 UTC
PackageKit-1.1.3-1.fc23, appstream-data-23-11.fc23, fwupd-0.7.2-2.fc23, gnome-shell-3.18.5-2.fc23, gnome-software-3.20.4-1.fc23, json-glib-1.2.0-1.fc23, libappstream-glib-0.5.16-2.fc23, libgusb-0.2.9-1.fc23, libhif-0.2.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 9 Fedora Update System 2016-07-20 23:49:41 UTC
PackageKit-1.1.3-1.fc23, appstream-data-23-11.fc23, fwupd-0.7.2-2.fc23, gnome-shell-3.18.5-2.fc23, gnome-software-3.20.4-1.fc23, json-glib-1.2.0-1.fc23, libappstream-glib-0.5.16-2.fc23, libgusb-0.2.9-1.fc23, libhif-0.2.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.